Bug 1455189 (CVE-2017-8932)

Summary: CVE-2017-8932 golang: Elliptic curves carry propagation issue in x86-64 P-256
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: admiller, amurdaca, apevec, ayoung, bleanhar, ccoleman, chrisw, cvsbot-xmlrpc, dedgar, dmcphers, golang-updates, huzaifas, jcajka, jgoulding, jjoyce, jkeck, jschluet, kbasil, lemenkov, lhh, lpeer, markmc, mcermak, rbryant, renich, sclewis, s, tdecacqu, ttomecek, vbatts
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: golang 1.7.6, golang 1.8.2 Doc Type: If docs needed, set a value
Doc Text:
A carry propagation flaw was found in the implementation of the P-256 elliptic curve in golang. An attacker could possibly use this flaw to extract private keys when static ECDH was used.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:13:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1455190, 1455191, 1457169    
Bug Blocks: 1415638, 1455195    

Description Andrej Nemec 2017-05-24 12:38:36 UTC
A carry propagation issue was found in the P-256 implementation for x86-64 in golang.

Upstream issue:

https://github.com/golang/go/issues/20040

Upstream patch:

https://golang.org/cl/41070

Comment 1 Andrej Nemec 2017-05-24 12:39:36 UTC
Created golang tracking bugs for this issue:

Affects: epel-6 [bug 1455190]
Affects: fedora-all [bug 1455191]

Comment 6 errata-xmlrpc 2017-08-01 20:23:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1859 https://access.redhat.com/errata/RHSA-2017:1859